%global modname isort

Name:               python-%{modname}
Version:            4.2.15
Release:            2
Summary:            Python utility / library to sort Python imports
Group:		Development/Python
License:            MIT
URL:                https://github.com/timothycrosley/%{modname}
Source0:            %{url}/archive/%{version}/%{modname}-%{version}.tar.gz
BuildArch:          noarch

%description
%{summary}.

%package -n python2-%{modname}
Summary:            %{summary}
Provides:           python-%{modname}}
BuildRequires:      python-devel
BuildRequires:      python-setuptools
BuildRequires:      python-mock
BuildRequires:      python-pytest

%description -n python2-%{modname}
%{summary}.

Python 2 version.

%package -n python3-%{modname}
Summary:            %{summary}
BuildRequires:      python3-devel
BuildRequires:      python3-setuptools
BuildRequires:      python3-mock
BuildRequires:      python3-pytest

%description -n python3-%{modname}
%{summary}.

Python 3 version.

%prep
%setup -qn %{modname}-%{version}

# Drop shebang
sed -i -e '1{\@^#!.*@d}' %{modname}/main.py
chmod -x LICENSE

%build
%py2_build
%py3_build

%install
%py2_install
mv %{buildroot}%{_bindir}/%{modname}{,-%{python2_version}}
ln -s %{modname}-%{py_ver} %{buildroot}%{_bindir}/%{modname}-2
%py3_install
mv %{buildroot}%{_bindir}/%{modname}{,-%{python3_version}}
ln -s %{modname}-%{py3_ver} %{buildroot}%{_bindir}/%{modname}-3

ln -s %{modname}-2 %{buildroot}%{_bindir}/%{modname}

%check
#python2 setup.py test
#python3 setup.py test

%files -n python2-%{modname}
%doc README.rst *.md LICENSE
%{_bindir}/%{modname}
%{_bindir}/%{modname}-2*
%{py_puresitedir}/%{modname}/
%{py_puresitedir}/%{modname}-*.egg-info/

%files -n python3-%{modname}
%doc README.rst *.md LICENSE
%{_bindir}/%{modname}-3*
%{py3_puresitedir}/%{modname}/
%{py3_puresitedir}/%{modname}-*.egg-info/


%changelog

* Thu Aug 31 2017 Denis Silakov <dsilakov@virtuozzo.com> 4.2.15-2
- (551fadc) Imported from SRPM


